array.h File Reference

Array utilities. More...

`#include <glib.h>`

Go to the source code of this file.

## Typedefs

typedef GPtrArray | array_t

## Functions

GPtrArray * | make_array (void)
| Make a global array.
void | array_reset (array_t **array)
| Reset an array.
void | array_free (GPtrArray *array)
| Free global array value.
void | array_add (array_t *array, gpointer pointer)
| Push a generic pointer onto an array.
void | array_terminate (array_t *array)
| Terminate an array.

## Detailed Description

Array utilities.

## Typedef Documentation

## array_t

typedef GPtrArray array_t

## Function Documentation

## array_add()

void array_add | ( | array_t * | array,
|  | gpointer | pointer
| ) |  |

Push a generic pointer onto an array.

Parameters

  [in] | array | Array.
  [in] | pointer | Pointer.

## array_free()

void array_free | ( | GPtrArray * | array | ) |

Free global array value.

Also g_free any elements.

Parameters

  [in] | array | Pointer to array.

## array_reset()

void array_reset | ( | array_t ** | array | ) |

Reset an array.

Parameters

  [in] | array | Pointer to array.

## array_terminate()

void array_terminate | ( | array_t * | array | ) |

Terminate an array.

Parameters

  [in] | array | Array.

## make_array()

GPtrArray * make_array | ( | void |  | ) |

Make a global array.

Returns
  New array.